Subject: Re: [PATCH v2] worktree: detect from secondary worktree if main worktree is bare

From: Junio C Hamano <[email-masked]>
Date: Wed, 29 Jan 2025 09:08:26 -0800

Eric Sunshine <[email-masked]> writes:

>> Wow, your explanation is so much better than mine.Thank you for
>> “translating" it for the world :) I’m still trying to get used to
>> the terminology used in this codebase.  I’ll steal your description
>> for sure (if you don’t mind).
>
> You are more than welcome to use the proposed commit message rewrite.
>
> (If you want to acknowledge assistance rendered, a Helped-by: trailer,
> preceding your Signed-off-by:, is the way to do so. Or not. It's up to
> you.)
> ...

> Agreed about the is-bare checks -- and indeed the entire Git startup
> sequence -- being difficult to digest, however...
> ...

Thanks for an easy-to-read review (and thanks OP for working on it,
of course).